{"openapi":"3.0.0","info":{"description":"初版2050web的全部api\n","version":"1.0.0","title":"2050-web-api","contact":{"email":"18575570936@163.com"}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/dogslee/2050-api/1.0.0"},{"url":"https://petstore.swagger.io/v2"}],"tags":[{"name":"auth","description":"验证登录相关接口， 主要有短信验证和手机验证登录这两种登录方式\n"},{"name":"user","description":"用户信息相关接口\n"},{"name":"admin","description":"管理后台相关接口， 所有使用admin/路由的皆为后台管理端独占接口\n"},{"name":"admin-user","description":"admin user interface \n"},{"name":"admin-hive","description":"admin hive interface \n"},{"name":"admin-activity","description":"admin activity interface \n"},{"name":"interface","description":"邀请相关接口\n"},{"name":"files","description":"文件操作相关接口\n"}],"paths":{"/auth/sms":{"post":{"tags":["auth"],"summary":"发送短信","description":"通过发送人机验证返回的验证信息和手机号来获取短信验证码","responses":{"200":{"description":"操作成功，无返回"},"400":{"$ref":"#/components/responses/400Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/sms"}}},"description":"提交手机号和人机验证信息","required":true}}},"/auth/email":{"post":{"tags":["auth"],"summary":"通过邮箱验证码登录","description":"通过发送人机验证返回的验证信息和邮箱来获取验证码","responses":{"200":{"description":"操作成功，无返回"},"400":{"$ref":"#/components/responses/400Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/email"}}},"description":"提交邮箱、密码号和人机验证信息","required":true}}},"/auth/login":{"post":{"tags":["auth"],"summary":"用户登录","description":"通过手机短信验证码登录， 返回登录token信息， 用户连续操作自动续签token\n","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/token"}}},"description":"操作成功"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/responses/400Error"}}},"description":"操作失败"}},"requestBody":{"content":{"application/json":{"schema":{"properties":{"phone":{"type":"string"},"code":{"type":"string"}}}}},"description":"提交信息","required":true}},"patch":{"tags":["auth"],"summary":"用户更改登录手机号","description":"通过已经有的用户userID和token来更新用户的信息","security":[{"apiKeyAuth":[]}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"userID":{"type":"string","description":"用户userID"},"phone":{"type":"string","description":"手机号"},"code":{"type":"string","description":"短信验证码"}}}}},"required":true,"description":"提交信息"},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/token"}}},"description":"更新信息成功"},"400":{"$ref":"#/components/responses/400Error"}}}},"/users":{"get":{"tags":["user"],"summary":"获取用户列表信息","description":"获取用户列表信息， 支持过滤\n","security":[{"apiKeyAuth":[]}],"parameters":[{"name":"status","in":"query","schema":{"type":"integer","description":"用户状态"}},{"name":"page_num","in":"query","schema":{"type":"integer","description":"页码"}},{"name":"page_size","in":"query","schema":{"type":"integer","description":"单页数量"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"totalSize":{"type":"integer","description":"总数"},"userList":{"type":"array","description":"用户信息列表","items":{"$ref":"#/components/schemas/user"}}}}}},"description":"操作成功"},"400":{"$ref":"#/components/responses/400Error"}}}},"/user/{userID}":{"parameters":[{"name":"userID","in":"path","schema":{"type":"string","description":"用户userID"},"required":true}],"get":{"tags":["user"],"summary":"获取用户信息","description":"通过用户唯一标识userID获取用户信息 \n","security":[{"apiKeyAuth":[]}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/user"}}},"description":"操作成功"},"400":{"$ref":"#/components/responses/400Error"}}},"patch":{"tags":["user"],"summary":"更新用户信息","description":"通过用户唯一标识userID更新用户信息， 是否可以更新交由服务端逻辑判断\n","security":[{"apiKeyAuth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/user"}}}},"responses":{"200":{"description":"操作成功，无返回"},"400":{"$ref":"#/components/responses/400Error"}}}},"/user/hives":{"get":{"tags":["user"],"summary":"获取用户的参与的蜂巢信息","description":"通过用户userID获取用户参与的丰巢信息\n1 支持名称前缀模糊检索 \n2 支持翻页\n","security":[{"apiKeyAuth":[]}],"parameters":[{"name":"pass_id","in":"query","schema":{"type":"string","description":"用户userID"},"required":true},{"name":"title","in":"query","schema":{"type":"string","description":"检索的蜂巢标题"}},{"name":"page_num","in":"query","schema":{"type":"integer","description":"页码","example":1}},{"name":"page_size","in":"query","schema":{"type":"integer","description":"单页数量","example":10}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"totalSize":{"type":"integer","description":"总数"},"hiveList":{"type":"array","items":{"$ref":"#/components/schemas/hive"}}}}}},"description":"success"},"400":{"$ref":"#/components/responses/400Error"}}}},"/user/activity":{"get":{"tags":["user"],"summary":"获取与这个用户相关的活动","description":"获取与这个用户相关的活动","security":[{"apiKeyAuth":[]}],"parameters":[{"name":"source","in":"query","schema":{"type":"integer","description":"活动来源\n1-我召集的活动\n2-我想参与的活动\n","default":1}},{"name":"page_num","in":"query","schema":{"type":"integer","description":"页码"}},{"name":"page_size","in":"query","schema":{"type":"integer","description":"单页数量"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"totalSize":{"type":"integer","description":"总数"},"activityList":{"type":"array","items":{"$ref":"#/components/schemas/activity"}}}}}},"description":"success"},"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/users":{"get":{"tags":["admin-user"],"summary":"管理后台获取用户列表","description":"管理后台获取用户列表","security":[{"apiKeyAuth":[]}],"parameters":[{"name":"name","in":"query","schema":{"type":"string","description":"用户名称"},"example":"张三"},{"name":"nameEn","in":"query","schema":{"type":"string","description":"英文名称"},"example":"zhangshan"},{"name":"status","in":"query","schema":{"type":"integer","description":"用户状态"}},{"name":"phone","in":"query","schema":{"type":"string","description":"电话号码"},"example":"1384xxxxxxx"},{"name":"email","in":"query","schema":{"type":"string","description":"邮箱"},"example":"test@gmail.com"},{"name":"sorted","in":"query","schema":{"type":"string","description":"排序","enum":["create_at:asc","create_at:desc"]}},{"name":"page_num","in":"query","schema":{"type":"integer","description":"页码","example":1}},{"name":"page_size","in":"query","schema":{"type":"integer","description":"单页数量","example":10}}],"responses":{"200":{"description":"获取用户列表","content":{"application/json":{"schema":{"type":"object","description":"用户列表信息","properties":{"totalSize":{"type":"integer","description":"用户总数"},"userList":{"type":"array","description":"用户列表","items":{"allOf":[{"$ref":"#/components/schemas/user"},{"properties":{"role":{"type":"string","description":"用户角色"},"status":{"type":"integer","description":"用户状态"}}}]}}}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/user/{userID}":{"parameters":[{"name":"userID","in":"path","description":"用户userID","schema":{"type":"string","example":"user001"},"required":true}],"get":{"tags":["admin-user"],"summary":"获取用户详细信息","description":"通过用户userID获取用户信息","security":[{"apiKeyAuth":[]}],"responses":{"200":{"description":"获取用户信息成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/user"},{"properties":{"role":{"type":"string","description":"用户角色"},"status":{"type":"integer","description":"用户状态"}}}]}}}}}},"patch":{"tags":["admin-user"],"summary":"通过userID编辑用户状态和角色","description":"编辑用户状态，是否有编辑权限通通过后端服务自行判定","security":[{"apiKeyAuth":[]}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","description":"用户状态"},"role":{"type":"string","description":"用户角色，当前默认不通角色不通权限"}}}}}},"responses":{"200":{"description":"操作成功，无返回"},"400":{"$ref":"#/components/responses/400Error"}}},"delete":{"tags":["admin-user"],"summary":"通过userID删除用户，逻辑删除","description":"通过userID删除用户，逻辑删除，是否有编辑权限通通过后端服务自行判定","security":[{"apiKeyAuth":[]}],"responses":{"200":{"description":"操作成功，无返回"},"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/hive/convener":{"post":{"tags":["admin-hive"],"summary":"添加召集人","description":"添加召集人","security":[{"apiKeyAuth":[]}],"requestBody":{"description":"添加召集人对象","content":{"application/json":{"schema":{"type":"object","properties":{"userID":{"type":"string","description":"用户userID"},"hiveID":{"type":"string","description":"蜂巢ID"}}}}}},"responses":{"201":{"description":"创建成功","content":{"application/json":{"schema":{"type":"object","properties":{"convenerId":{"type":"string","description":"召集人ID"}}}}}},"400":{"$ref":"#/components/responses/400Error"}}},"delete":{"tags":["admin-hive"],"summary":"删除召集人","description":"删除召集人","security":[{"apiKeyAuth":[]}],"parameters":[{"name":"convener_id","in":"query","schema":{"type":"string","description":"召集人ID"}}],"responses":{"200":{"description":"删除成功，无返回"},"400":{"$ref":"#/components/responses/400Error"},"401":{"description":"用户未认证"}}}},"/admin/stats/city":{"get":{"tags":["admin"],"summary":"获取统计城市信息, 该接口有待改进","description":"后台管理页面统计用户所在的城市信息\n","security":[{"apiKeyAuth":[]}],"parameters":[{"name":"timezone","in":"query","schema":{"type":"string","description":"按时区划分城市"},"example":"东八区"},{"name":"country","in":"query","schema":{"type":"string","description":"国家"}},{"name":"page_num","in":"query","schema":{"type":"integer","description":"页码","example":1}},{"name":"page_size","in":"query","schema":{"type":"integer","description":"单页数量","example":10}}],"responses":{"200":{"description":"城市统计信息","content":{"application/json":{"schema":{"type":"object","description":"城市统计对象(待商榷)","properties":{"timezone":{"type":"string","description":"时区"},"cityCount":{"type":"integer","description":"该时区中有用户存在的全部城市数量"},"items":{"type":"array","items":{"type":"object","properties":{"city":{"type":"string"},"userCount":{"type":"integer"}}}}}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/interface":{"get":{"tags":["interface"],"summary":"获取邀请人列表","description":"获取邀请人列表","security":[{"apiKeyAuth":[]}],"parameters":[{"name":"name","in":"query","schema":{"type":"string","description":"邀请人名字"},"example":"张三"},{"name":"page_num","in":"query","schema":{"type":"integer","description":"页码","example":1}},{"name":"page_size","in":"query","schema":{"type":"integer","description":"单页数量","example":10}}],"responses":{"200":{"description":"返回邀请人列表","content":{"application/json":{"schema":{"type":"object","description":"邀请人列表对象","properties":{"totalSize":{"type":"integer","description":"总数"},"items":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"userID":{"type":"string"}}}}}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/files/image":{"post":{"tags":["files"],"summary":"上传图片， 该接口有待实现时具体改进，当前设计仅支持单文件上传，后续改进","description":"上传图片","security":[{"apiKeyAuth":[]}],"requestBody":{"description":"图片对象","required":true,"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"body":{"type":"string","description":"图片内容","format":"binary"},"title":{"type":"string","description":"图片标题"}}}}}},"responses":{"200":{"description":"文件已经被创建，返回已经创建的文件连接","content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","description":"文件链接"}}}}}},"201":{"description":"文件创建成功","content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","description":"文件链接"}}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/hives":{"get":{"summary":"根据状态或名字获取蜂巢","description":"根据状态可以获取所有意向蜂巢或者正式蜂巢。 可以传入名字模糊查询对应蜂巢或意向。","tags":["hives"],"parameters":[{"name":"status","in":"query","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"hiveList":{"type":"array","items":{"$ref":"#/components/schemas/hive"}}}}}}},"400":{"$ref":"#/components/responses/400Error"}}},"post":{"summary":"创建蜂巢","description":"提交意向，预创建蜂巢","security":[{"apiKeyAuth":[]}],"tags":["hives"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string"},"logo":{"type":"string"},"description":{"type":"string"},"strategy":{"type":"string"}}}},"image/png":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"hiveID":{"type":"integer"}}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/hives":{"get":{"summary":"管理后台获取蜂巢的列表","description":"管理后台获取蜂巢的列表","security":[{"apiKeyAuth":[]}],"tags":["admin-hive"],"parameters":[{"name":"title","in":"query","schema":{"type":"string"}},{"name":"status","in":"query","schema":{"type":"integer"}},{"name":"sorted","in":"query","schema":{"type":"string","description":"排序","enum":["create_at:asc","create_at:desc"]}},{"name":"page_num","in":"query","schema":{"type":"integer","description":"页码","example":1}},{"name":"page_size","in":"query","schema":{"type":"integer","description":"单页数量","example":10}}],"responses":{"200":{"description":"管理后台获取蜂巢列表","content":{"application/json":{"schema":{"type":"object","description":"蜂巢列表信息","properties":{"totalSize":{"type":"integer","description":"蜂巢总数"},"userList":{"type":"array","description":"蜂巢列表","items":{"allOf":[{"$ref":"#/components/schemas/hive"},{"properties":{"status":{"type":"integer","description":"蜂巢状态"}}}]}}}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/hive/{hiveID}":{"parameters":[{"name":"hiveID","in":"path","required":true,"schema":{"type":"integer"}}],"patch":{"summary":"修改蜂巢信息审核蜂巢的状态","description":"修改蜂巢信息","security":[{"apiKeyAuth":[]}],"tags":["admin-hive"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"}}}},"image/png":{"schema":{"type":"string","format":"binary"}}}},"responses":{"400":{"$ref":"#/components/responses/400Error"}}},"delete":{"summary":"删除蜂巢","description":"根据蜂巢ID删除蜂巢信息","security":[{"apiKeyAuth":[]}],"tags":["admin-hive"],"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/hive/{hiveID}":{"parameters":[{"name":"hiveID","in":"path","required":true,"schema":{"type":"integer"}}],"get":{"summary":"根据ID获取蜂巢","description":"获取单独蜂巢信息","tags":["hives"],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/hive"}}}},"400":{"$ref":"#/components/responses/400Error"}}},"patch":{"summary":"修改蜂巢","description":"修改蜂巢信息","security":[{"apiKeyAuth":[]}],"tags":["hives"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"}}}},"image/png":{"schema":{"type":"string","format":"binary"}}}},"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/hive/convener/{hiveID}":{"get":{"summary":"获取蜂巢召集人","description":"根据蜂巢ID获取对应的蜂巢召集人","tags":["hives"],"parameters":[{"name":"hiveID","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/user"}}}}},"400":{"$ref":"#/components/responses/400Error"}}},"delete":{"summary":"删除蜂巢召集人","description":"根据蜂巢ID删除对应的蜂巢召集人","tags":["hives"],"parameters":[{"name":"hiveID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"pass_id","in":"query","required":true,"schema":{"type":"integer"}}],"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/hive/convener/{hiveID}":{"delete":{"summary":"删除蜂巢召集人","description":"根据蜂巢ID删除对应的蜂巢召集人","security":[{"apiKeyAuth":[]}],"tags":["admin-hive"],"parameters":[{"name":"hiveID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"pass_id","in":"query","required":true,"schema":{"type":"integer"}}],"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/hive/log/{hiveID}":{"get":{"summary":"获取蜂巢动态","description":"根据蜂巢ID获取对应的蜂巢操作信息","tags":["hives"],"parameters":[{"name":"hiveID","in":"path","required":true,"schema":{"type":"integer"}},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/user"}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/activity/{hiveID}":{"get":{"summary":"获取活动","description":"传入蜂巢ID获取对应的活动","tags":["activity"],"parameters":[{"name":"hiveID","in":"path","required":true,"schema":{"type":"integer"}},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","items":{"$ref":"#/components/schemas/totalSize"}},"activiriesList":{"type":"array","items":{"$ref":"#/components/schemas/activity"}}}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/activity/convener/{activityID}":{"get":{"summary":"获取活动召集人","description":"根据活动ID获取对应的活动召集人","tags":["activity"],"parameters":[{"name":"activityID","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/user"}}}}},"400":{"$ref":"#/components/responses/400Error"}}},"delete":{"summary":"删除活动召集人","description":"根据活动ID和用户id删除对应的活动召集人","tags":["activity"],"parameters":[{"name":"activityID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"pass_id","in":"query","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/user"}}}}},"400":{"$ref":"#/components/responses/400Error"}}},"post":{"summary":"添加活动召集人","description":"根据活动ID和用户id添加对应的活动召集人","tags":["activity"],"parameters":[{"name":"activityID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"pass_id","in":"query","required":true,"schema":{"type":"integer"}}],"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/activity/{container_name}":{"parameters":[{"name":"container_name","in":"path","required":true,"schema":{"type":"string","enum":["youth_reunion","freshman_forum","explore_the_space","rainforest","thought_dating","morning_run","football_storm","starry_sky_camping","tent_camping","youth_stage","migratory_bird_program","youth_2050","taste_of_hundred_cities"]}}],"post":{"summary":"创建活动","description":"公共创建活动接口，不同的container_name 传入的参数不同， 这里暂时只用基本通用的数据展示，最终对接的时候添加真实的字段","security":[{"apiKeyAuth":[]}],"tags":["activity"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/activity"}}}},"responses":{"200":{"description":"“返回活动ID”","content":{"application/json":{"schema":{"properties":{"activityID":{"type":"string","description":"活动ID"}}}}}}}},"get":{"summary":"获取活动列表","description":"公共获取活动列表，不同的container_name 传入的参数不同， 这里暂时只用基本通用的数据展示，最终对接的时候添加真实的字段","tags":["activity"],"parameters":[{"name":"page_size","in":"query","schema":{"type":"integer"}},{"name":"page_num","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"“返回活动ID”","content":{"application/json":{"schema":{"properties":{"totalSize":{"type":"integer","description":"总数"},"userList":{"type":"array","description":"活动列表","items":{"$ref":"#/components/schemas/activity"}}}}}}}}}},"/activity/{container_name}/{activityID}/":{"parameters":[{"name":"container_name","in":"path","required":true,"schema":{"type":"string","enum":["youth_reunion","freshman_forum","explore_the_space","rainforest","thought_dating","morning_run","football_storm","starry_sky_camping","tent_camping","youth_stage","migratory_bird_program","youth_2050","taste_of_hundred_cities"]}},{"name":"activityID","in":"path","required":true,"schema":{"type":"string"}}],"get":{"summary":"获取活动详情","tags":["activity"],"responses":{"200":{"description":"“返回活动ID”","content":{"application/json":{"schema":{"$ref":"#/components/schemas/activity"}}}}}},"patch":{"summary":"修改活动","description":"提交资料修改活动信息","security":[{"apiKeyAuth":[]}],"tags":["activity"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/activity"}}}},"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/activity/{container_name}/{activityID}/users":{"parameters":[{"name":"container_name","in":"path","required":true,"schema":{"type":"string","enum":["youth_reunion","freshman_forum","explore_the_space","rainforest","thought_dating","morning_run","football_storm","starry_sky_camping","tent_camping","youth_stage","migratory_bird_program","youth_2050","taste_of_hundred_cities"]}},{"name":"activityID","in":"path","required":true,"schema":{"type":"string"}}],"post":{"tags":["activity"],"summary":"通用加入活动","security":[{"apiKeyAuth":[]}],"responses":{"200":{"description":"操作成功，无返回"}}}},"/admin/activity/{activityID}/reviews":{"post":{"summary":"活动审核","description":"活动审核","security":[{"apiKeyAuth":[]}],"tags":["admin-activity"],"parameters":[{"name":"activityID","in":"path","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"operation":{"type":"string","description":"操作"},"comment":{"type":"string","description":"备注"}}}}}},"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/container":{"post":{"summary":"创建容器","description":"创建一个容器","security":[{"apiKeyAuth":[]}],"tags":["admin"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"}}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"containerID":{"type":"integer"}}}}}},"400":{"$ref":"#/components/responses/400Error"}}},"get":{"summary":"获取容器","description":"获取全部容器信息","security":[{"apiKeyAuth":[]}],"tags":["admin"],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/container"}}}}},"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/container/{activityID}":{"delete":{"summary":"删除容器","description":"删除容器","security":[{"apiKeyAuth":[]}],"tags":["admin"],"parameters":[{"name":"activityID","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/activity/{container_name}":{"parameters":[{"name":"container_name","in":"path","required":true,"schema":{"type":"string","enum":["youth_reunion","freshman_forum","explore_the_space","rainforest","thought_dating","morning_run","football_storm","starry_sky_camping","tent_camping","youth_stage","migratory_bird_program","youth_2050","taste_of_hundred_cities"]}}],"post":{"summary":"创建活动","description":"公共创建活动接口，不同的container_name 传入的参数不同， 这里暂时只用基本通用的数据展示，最终对接的时候添加真实的字段","security":[{"apiKeyAuth":[]}],"tags":["admin-activity"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/activity"}}}},"responses":{"200":{"description":"“返回活动ID”","content":{"application/json":{"schema":{"properties":{"activityID":{"type":"string","description":"活动ID"}}}}}}}},"get":{"summary":"获取活动列表","description":"公共获取活动列表，不同的container_name 传入的参数不同， 这里暂时只用基本通用的数据展示，最终对接的时候添加真实的字段","tags":["admin-activity"],"security":[{"apiKeyAuth":[]}],"parameters":[{"name":"page_size","in":"query","schema":{"type":"integer"}},{"name":"page_num","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"“返回活动ID”","content":{"application/json":{"schema":{"properties":{"totalSize":{"type":"integer","description":"总数"},"userList":{"type":"array","description":"活动列表","items":{"$ref":"#/components/schemas/activity"}}}}}}}}}},"/admin/activity/{container_name}/{activityID}/":{"parameters":[{"name":"container_name","in":"path","required":true,"schema":{"type":"string","enum":["youth_reunion","freshman_forum","explore_the_space","rainforest","thought_dating","morning_run","football_storm","starry_sky_camping","tent_camping","youth_stage","migratory_bird_program","youth_2050","taste_of_hundred_cities"]}},{"name":"activityID","in":"path","required":true,"schema":{"type":"string"}}],"get":{"summary":"获取活动详情","tags":["admin-activity"],"security":[{"apiKeyAuth":[]}],"responses":{"200":{"description":"“返回活动ID”","content":{"application/json":{"schema":{"$ref":"#/components/schemas/activity"}}}}}},"patch":{"summary":"修改活动","description":"提交资料修改活动信息","security":[{"apiKeyAuth":[]}],"tags":["admin-activity"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/activity"}}}},"responses":{"400":{"$ref":"#/components/responses/400Error"}}}},"/admin/activity/{container_name}/{activityID}/users":{"parameters":[{"name":"container_name","in":"path","required":true,"schema":{"type":"string","enum":["youth_reunion","freshman_forum","explore_the_space","rainforest","thought_dating","morning_run","football_storm","starry_sky_camping","tent_camping","youth_stage","migratory_bird_program","youth_2050","taste_of_hundred_cities"]}},{"name":"activityID","in":"path","required":true,"schema":{"type":"string"}}],"get":{"tags":["admin-activity"],"summary":"通用获取加入列表","security":[{"apiKeyAuth":[]}],"responses":{"200":{"description":"操作成功，无返回"}}}},"/admin/activity/{container_name}/{activityID}/review":{"parameters":[{"name":"container_name","in":"path","required":true,"schema":{"type":"string","enum":["youth_reunion","freshman_forum","explore_the_space","rainforest","thought_dating","morning_run","football_storm","starry_sky_camping","tent_camping","youth_stage","migratory_bird_program","youth_2050","taste_of_hundred_cities"]}},{"name":"activityID","in":"path","required":true,"schema":{"type":"string"}}],"post":{"tags":["admin-activity"],"summary":"通用加入活动","security":[{"apiKeyAuth":[]}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"operation":{"type":"string","description":"操作"},"comment":{"type":"string","description":"备注"}}}}}},"responses":{"200":{"description":"操作成功，无返回"}}}}},"components":{"schemas":{"sms":{"type":"object","properties":{"phone":{"type":"string","description":"手机号"},"ticket":{"type":"string","description":"人机验证凭证"}},"xml":{"name":"sms"}},"email":{"type":"object","properties":{"email":{"type":"string","description":"邮箱地址"},"password":{"type":"string","description":"登录密码"},"ticket":{"type":"string","description":"人机验证凭证"}},"xml":{"name":"sms"}},"token":{"type":"object","properties":{"userID":{"type":"string","description":"用户的userID"},"token":{"type":"string","description":"返回的token"}},"xml":{"name":"token"}},"user":{"type":"object","description":"用户对象结构","properties":{"userID":{"type":"string","description":"用户唯一标识ID"},"regionCode":{"type":"string","description":"手机区号"},"phone":{"type":"string","description":"手机号"},"email":{"type":"string","description":"邮件"},"inviterId":{"type":"string","description":"邀请者ID"},"name":{"type":"string","description":"姓名"},"nameEn":{"type":"string","description":"英文名称"},"description":{"type":"string","description":"介绍"},"portrait":{"type":"string","description":"头像"},"country":{"type":"string","description":"国家"},"region":{"type":"string","description":"区域"},"city":{"type":"string","description":"城市"},"createAt":{"type":"string","description":"创建时间"}}},"hive":{"description":"蜂巢基本信息","type":"object","properties":{"hiveID":{"type":"integer","description":"蜂巢ID"},"parentID":{"type":"integer","description":"父蜂巢ID"},"parentName":{"type":"string","description":"父蜂巢名称"},"title":{"type":"string","description":"蜂巢名称"},"logo":{"type":"string","description":"logo"},"description":{"type":"string","description":"介绍"},"strategy":{"type":"string","description":"攻略"},"status":{"type":"string","description":"状态"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"activity":{"description":"活动信息","type":"object","properties":{"activityID":{"type":"integer"},"hiveID":{"type":"integer"},"title":{"type":"string"},"containerID":{"type":"integer"},"description":{"type":"string"},"billHorizontal":{"type":"string"},"billVertical":{"type":"string"}}},"container":{"description":"容器信息","type":"object","properties":{"containerID":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"totalSize":{"description":"数据总数","type":"object","properties":{"count":{"type":"integer"}}}},"responses":{"400Error":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"target":{"type":"string"},"innererror":{"type":"object"}}}}}}}}},"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page_num","in":"query","required":false,"schema":{"type":"integer","description":"页码","example":1}},"count":{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","description":"单页数量","example":10}}}}}